package com.doverfuelingsolutions.issp

import android.app.Application
import com.doverfuelingsolutions.issp.bugly.BuglyUtil
import com.doverfuelingsolutions.issp.utils.DFSToastUtil

class DFSApplication : Application() {

    companion object {

        lateinit var instance: DFSApplication
    }

    override fun onCreate() {
        super.onCreate()
        instance = this

        DFSToastUtil.init(this)
    }
}