package com.doverfuelingsolutions.issp.api.service

import com.doverfuelingsolutions.issp.api.WayneApiConfig
import com.doverfuelingsolutions.issp.api.dto.ResultBarcode
import com.doverfuelingsolutions.issp.api.dto.ResultDeviceSessionInfo
import com.doverfuelingsolutions.issp.api.dto.ResultVersionInfo
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.http.*

interface ServiceAssets {

    @Headers("requestName: remoteVersion", "Accept: application/json")
    @GET(WayneApiConfig.PATH_VERSION_FILE)
    fun remoteVersion(): Call<ResultVersionInfo>
}