package com.doverfuelingsolutions.issp.api.dto

import java.io.Serializable

class ResultBarcode(
    val Id: String,
    val ItemId: String,
    val BarCode: String,
    val ItemName: String,
    val UnitId: String,
    val DateToActivate: String,
    val DateToDeactivate: String,
    val CreatedDateTime: String,
    val TargetBusinessUnitId: String,
    val IsFuelItem: Boolean,
    val IsMarkedAsDeletion: Boolean,
    val Status: Int,
    val Price: Double
) : Serializable {

    companion object {

        private const val serialVersionUID = 6681804779L
    }
}