package com.doverfuelingsolutions.issp.api.dto

import com.wayne.www.waynelib.webservice.entity.PosTrxItem

data class ResultPayment(
    val Id: String,
    val AuthCode: String,
    val BillNumber: String,
    val ErrorDetail: String,
    val LineNum: Int,
    val Mop: MopObject,
    val Paid: Double,
    val PayBack: Int,
    val PosMopId: String,
    val PosTrxId: String,
    val ResultCode: String,
    val ResultMessage: String,
    val PosTrx: PosTrxBean,
) {
    data class MopObject(
        val Id: String,
        val CreatedDateTime: String,
        val PaymentId: Int,
        val Status: Int,
        val TargetBusinessUnitId: String,
    )

    data class PosTrxBean(
        val AccountId: String,
        val BusinessUnitId: String,
        val Discount: Double,
        val GrossAmount: Double,
        val NetAmount: Double,
        val Payments: List<*>,
        val Items: List<PosTrxItem>,
        val Id: String,
        val ReceiptId: String,
        val ServiceIdentityUserId: String,
        val ShiftId: Int,
        val SiteDeviceId: String,
        val TransactionArrivedAtServerTime: String,
        val TransactionInitTimeInPos: String,
        val TransactionSource: Int,
        val TransactionStatus: Int,
        val TransactionType: Int,
    )
}