package com.doverfuelingsolutions.issp.api.service

import com.doverfuelingsolutions.issp.api.WayneApiConfig
import com.doverfuelingsolutions.issp.api.dto.ResultConfig
import com.doverfuelingsolutions.issp.api.dto.ResultFile
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Headers
import retrofit2.http.Query

interface ServiceConfig {

    @Headers("requestName: config")
    @GET(WayneApiConfig.PATH_CONFIG_DESC)
    fun config(@Query("configOwnerIds") buId: String, @Query("configName") type: String): Call<Array<ResultConfig>>

    @Headers("requestName: file")
    @GET(WayneApiConfig.PATH_CONFIG_FILE)
    fun file(@Query("configFileIds") id: String): Call<Array<ResultFile>>
}