package com.doverfuelingsolutions.issp.api.service

import com.doverfuelingsolutions.issp.api.WayneApiConfig
import com.doverfuelingsolutions.issp.api.dto.ResultLogin
import retrofit2.Call
import retrofit2.http.Field
import retrofit2.http.FormUrlEncoded
import retrofit2.http.Headers
import retrofit2.http.POST

interface ServiceLogin {

    @Headers("requestName: login")
    @FormUrlEncoded
    @POST(WayneApiConfig.PATH_BASE_TOKEN)
    fun login(
        @Field("username") username: String,
        @Field("password") password: String,
        @Field("grant_type") grantType: String = "password"): Call<ResultLogin>
}