package com.wayne.www.waynelib.util;

/**
 * @desc
 * @info Created by LzPeng on 2020/3/13
 */
public class HsLogTagFlag {
    /**
     * @desc 统一日志打印标志
     * @info Created by LzPeng on 2019/9/23 15:22
     */
    public static final String LogTag = "LogTag_";


    /**
     * @desc 网络请求相关
     * @info Created by LzPeng on 2019/9/23 13:51
     */
    public static final String NET_RETROFIT = LogTag + "NET_RETROFIT";



    /**
     * @desc fdc连接
     * @info Created by LzPeng on 2020/3/13 15:18
     */
    public static final String FDC_TAG = LogTag + "FDC_TAG";
    public static final String TOKEN = LogTag + "TOKEN";

    /**
     * @desc 日志保存
     * @info Created by LzPeng on 2020/4/29 11:00
     */
    public static final String LOG_PRINT = LogTag + "LOG_PRINT";
    public static final String NEED_LOCK_OR_UNLOCK_ORDERS = "NEED_LOCK_OR_UNLOCK_ORDERS_";//需要解锁的订单
    public static final String CHECK_ORDER = "CHECK_ORDER";
    public static final String NEED_CLEAR_ORDERS = "NEED_CLEAR_ORDERS";//需要清空的订单
}
